nbdkit/0001-tests-test-captive.sh-Increase-sleep-times.patch
2019-10-19 18:54:55 +01:00

40 lines
1.2 KiB
Diff

From 740f6dee658ee6adb356d9600e2b51bb22dbce1e Mon Sep 17 00:00:00 2001
From: "Richard W.M. Jones" <rjones@redhat.com>
Date: Sat, 19 Oct 2019 18:31:24 +0100
Subject: [PATCH 1/2] tests/test-captive.sh: Increase sleep times.
Short sleeps in this test make the test very prone to failure on slow
or heavily loaded machines.
Fixes commit 38165d0f8f5a4eb898d756a561811c2fe042fe4d.
See also
https://www.redhat.com/archives/libguestfs/2019-October/msg00115.html
---
tests/test-captive.sh | 4 ++--
1 file changed, 2 insertions(+), 2 deletions(-)
diff --git a/tests/test-captive.sh b/tests/test-captive.sh
index 88c0d81..8890073 100755
--- a/tests/test-captive.sh
+++ b/tests/test-captive.sh
@@ -72,13 +72,13 @@ fi
# Check that nbdkit death from unhandled signal affects exit status
status=0
nbdkit -U - -P captive.pid example1 --run '
-test ! -s captive.pid || sleep 1
+test ! -s captive.pid || sleep 5
if test ! -s captive.pid; then
echo "no pidfile yet"
exit 10
fi
kill -s ABRT $(cat captive.pid) || exit 10
-sleep 1
+sleep 5
' > captive.out || status=$?
if test $status != $(( 128 + $(kill -l ABRT) )); then
echo "$0: unexpected exit status $status"
--
2.23.0